
#ifndef _AI_SWARM_H
#define _AI_SWARM_H

#include "world_entity.h"
#include "ai_module.h"
#include "swarm_module.h"


class AISwarm : public SwarmModule{
	public:
		AISwarm();
		virtual ~AISwarm(){}
		virtual void process(float dt);

		inline void setDestination(Vector destination){this->destination=destination;}
		inline void setTarget(WorldEntity* target){this->target=target;}

		enum statusType{ATTACKING,MOVING,WAITING};

	private:
		Vector destination;
		Vector movement;
		WorldEntity* target;
		statusType status;

		int tickCount;
		int randomFreq;
		Vector randomVector;
};

#endif /* _AI_SWARM_H */
